package test;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

/**
 * Aspect to force spring to proxy MyFilter class
 * @author nico.rehwaldt
 */
@Aspect
public class MyAspect {

    @Pointcut("execution(* MyFilter.filter(..))")
    public void logFilterExecution() {
        System.out.println("Filter executed!");
    }
}
