
package test;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import org.springframework.stereotype.Component;

/**
 * Example resource class hosted at the URI path "/myresource"
 */
@Component
@Path("/")
public class MyResource {
    
    /**
     * Method processing HTTP GET requests, producing "text/plain" MIME media
     * type.
     * @return String that will be send back as a response of type "text/plain".
     */
    @GET 
    @Produces("text/plain")
    public String getIt() {
        return getHi();
    }

    public String getHi() {
        return "Hi there!";
    }
}
